org.eclipse.oomph.setup.workbench.impl

## Class FileMappingImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.setup.workbench.impl.FileMappingImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, FileMapping

      public class FileMappingImpl
      extends ModelElementImpl
      implements FileMapping

  An implementation of the model object 'File Mapping'.

  The following features are implemented:

  - `File Pattern`
  - `Default Editor ID`
  - `Editors`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `DEFAULT_EDITOR_ID_EDEFAULT` The default value of the '`Default Editor ID`' attribute.
    `protected String` | `defaultEditorID` The cached value of the '`Default Editor ID`' attribute.
    `protected EList<FileEditor>` | `editors` The cached value of the '`Editors`' containment reference list.
    `protected static String` | `FILE_PATTERN_EDEFAULT` The default value of the '`File Pattern`' attribute.
    `protected String` | `filePattern` The cached value of the '`File Pattern`' attribute.

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FileMappingImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `String` | `getDefaultEditorID()`
    `EList<FileEditor>` | `getEditors()`
    `String` | `getFilePattern()`
    `void` | `setDefaultEditorID(String newDefaultEditorID)`
    `void` | `setFilePattern(String newFilePattern)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### FILE_PATTERN_EDEFAULT

          protected static final String FILE_PATTERN_EDEFAULT

      The default value of the '`File Pattern`' attribute.
      See Also:
        `getFilePattern()`
      Generated
      Ordered

    - #### filePattern

          protected String filePattern

      The cached value of the '`File Pattern`' attribute.
      See Also:
        `getFilePattern()`
      Generated
      Ordered

    - #### DEFAULT_EDITOR_ID_EDEFAULT

          protected static final String DEFAULT_EDITOR_ID_EDEFAULT

      The default value of the '`Default Editor ID`' attribute.
      See Also:
        `getDefaultEditorID()`
      Generated
      Ordered

    - #### defaultEditorID

          protected String defaultEditorID

      The cached value of the '`Default Editor ID`' attribute.
      See Also:
        `getDefaultEditorID()`
      Generated
      Ordered

    - #### editors

          protected EList<FileEditor> editors

      The cached value of the '`Editors`' containment reference list.
      See Also:
        `getEditors()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### FileMappingImpl

          protected FileMappingImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `ModelElementImpl`
      Generated

    - #### getFilePattern

          public String getFilePattern()

      Specified by:
        `getFilePattern` in interface `FileMapping`
      Returns:
        the value of the 'File Pattern' attribute.
      See Also:
        `FileMapping.setFilePattern(String)`, `WorkbenchPackage.getFileMapping_FilePattern()`
      Generated

    - #### setFilePattern

          public void setFilePattern(String newFilePattern)

      Specified by:
        `setFilePattern` in interface `FileMapping`
      Parameters:
        `newFilePattern` - the new value of the 'File Pattern' attribute.
      See Also:
        `FileMapping.getFilePattern()`
      Generated

    - #### getDefaultEditorID

          public String getDefaultEditorID()

      Specified by:
        `getDefaultEditorID` in interface `FileMapping`
      Returns:
        the value of the 'Default Editor ID' attribute.
      See Also:
        `FileMapping.setDefaultEditorID(String)`, `WorkbenchPackage.getFileMapping_DefaultEditorID()`
      Generated

    - #### setDefaultEditorID

          public void setDefaultEditorID(String newDefaultEditorID)

      Specified by:
        `setDefaultEditorID` in interface `FileMapping`
      Parameters:
        `newDefaultEditorID` - the new value of the 'Default Editor ID' attribute.
      See Also:
        `FileMapping.getDefaultEditorID()`
      Generated

    - #### getEditors

          public EList<FileEditor> getEditors()

      Specified by:
        `getEditors` in interface `FileMapping`
      Returns:
        the value of the 'Editors' containment reference list.
      See Also:
        `WorkbenchPackage.getFileMapping_Editors()`
      Generated

    - #### eInverseRemove

          public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `ModelElementImpl`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `ModelElementImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `ModelElementImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `ModelElementImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `ModelElementImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BasicEObjectImpl`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html